CVE-2004-0372
CVSS2.1
发布时间 :2004-04-15 00:00:00
修订时间 :2016-10-17 22:44:45
NMCOS    

[原文]xine allows local users to overwrite arbitrary files via a symlink attack on a bug report email that is generated by the (1) xine-bugreport or (2) xine-check scripts.


[CNNVD]Xine Bug Reporting Script不安全文件创建漏洞(CNNVD-200404-037)

        xine 存在漏洞。本地用户可以通过报告错误电子邮件上的链接攻击覆盖任意文件,该邮件是由(1) xine-bugreport 或(2) xine-check 脚本生成。

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:xine:xine:1_beta7
cpe:/a:xine:xine:1_rc3b
cpe:/a:xine:xine:1_beta6
cpe:/a:xine:xine:1_beta9
cpe:/a:xine:xine:1_beta8
cpe:/a:xine:xine:1_rc3a
cpe:/a:xine:xine:1_beta3
cpe:/a:xine:xine:1_beta2
cpe:/a:xine:xine:1_beta5
cpe:/a:xine:xine:1_rc0a
cpe:/a:xine:xine:1_beta4
cpe:/a:xine:xine:1_beta1
cpe:/a:xine:xine:0.9.13
cpe:/a:xine:xine:1_beta11
cpe:/a:xine:xine:1_beta12
cpe:/a:xine:xine:1_rc1
cpe:/a:xine:xine:1_beta10
cpe:/a:xine:xine:1_rc2
cpe:/a:xine:xine:1_rc3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0372
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0372
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200404-037
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=107997911025558&w=2
(UNKNOWN)  BUGTRAQ  20040320 xine-check/xine-bugreport symlink vulnerability.
http://security.gentoo.org/glsa/glsa-200404-20.xml
(UNKNOWN)  GENTOO  GLSA-200404-20
http://www.debian.org/security/2004/dsa-477
(VENDOR_ADVISORY)  DEBIAN  DSA-477
http://www.securityfocus.com/bid/9939
(VENDOR_ADVISORY)  BID  9939
http://xforce.iss.net/xforce/xfdb/15564
(VENDOR_ADVISORY)  XF  xine-xinebugreport-xinecheck-symlink(15564)

- 漏洞信息

Xine Bug Reporting Script不安全文件创建漏洞
低危 设计错误
2004-04-15 00:00:00 2005-10-20 00:00:00
本地  
        xine 存在漏洞。本地用户可以通过报告错误电子邮件上的链接攻击覆盖任意文件,该邮件是由(1) xine-bugreport 或(2) xine-check 脚本生成。

- 公告与补丁

        Updates are available. Please see the referenced advisories for more information.
        
        xine xine-ui 0.9.22
        
        xine xine-ui 0.9.23
        
        xine xine 0.9.8
        

- 漏洞信息

4515
Xine Insecure Temporary File Creation

- 漏洞描述

Unknown or Incomplete

- 时间线

2004-03-24 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Xine Bug Reporting Script Insecure Temporary File Creation Vulnerability
Design Error 9939
No Yes
2004-03-22 12:00:00 2006-07-12 04:18:00
Discovery is credited to Shaun Colley.

- 受影响的程序版本

xine xine-ui 0.9.23
+ Mandriva Linux Mandrake 10.0
+ Slackware Linux 9.1
+ Slackware Linux -current
+ xine xine 0.9.13
+ xine xine 0.9.8
+ xine xine 1-rc3b
+ xine xine 1-rc3a
+ xine xine 1-rc3
+ xine xine 1-rc2
+ xine xine 1-rc1
+ xine xine 1-rc0a
+ xine xine 1-beta9
+ xine xine 1-beta8
+ xine xine 1-beta7
+ xine xine 1-beta6
+ xine xine 1-beta5
+ xine xine 1-beta4
+ xine xine 1-beta3
+ xine xine 1-beta2
+ xine xine 1-beta12
+ xine xine 1-beta11
+ xine xine 1-beta10
+ xine xine 1-beta1
xine xine-ui 0.9.22
+ Mandriva Linux Mandrake 9.2 amd64
+ Mandriva Linux Mandrake 9.2
+ xine xine 0.9.13
+ xine xine 0.9.8
+ xine xine 1-rc3b
+ xine xine 1-rc3a
+ xine xine 1-rc3
+ xine xine 1-rc2
+ xine xine 1-rc1
+ xine xine 1-rc0a
+ xine xine 1-beta9
+ xine xine 1-beta8
+ xine xine 1-beta7
+ xine xine 1-beta6
+ xine xine 1-beta5
+ xine xine 1-beta4
+ xine xine 1-beta3
+ xine xine 1-beta2
+ xine xine 1-beta12
+ xine xine 1-beta11
+ xine xine 1-beta10
+ xine xine 1-beta1
xine xine-ui 0.9.21
+ xine xine 0.9.13
+ xine xine 0.9.8
+ xine xine 1-rc3b
+ xine xine 1-rc3a
+ xine xine 1-rc3
+ xine xine 1-rc2
+ xine xine 1-rc1
+ xine xine 1-rc0a
+ xine xine 1-beta9
+ xine xine 1-beta8
+ xine xine 1-beta7
+ xine xine 1-beta6
+ xine xine 1-beta5
+ xine xine 1-beta4
+ xine xine 1-beta3
+ xine xine 1-beta2
+ xine xine 1-beta12
+ xine xine 1-beta11
+ xine xine 1-beta10
+ xine xine 1-beta1
xine xine-ui 0.9.20
+ xine xine 0.9.13
+ xine xine 0.9.8
+ xine xine 1-rc3b
+ xine xine 1-rc3a
+ xine xine 1-rc3
+ xine xine 1-rc2
+ xine xine 1-rc1
+ xine xine 1-rc0a
+ xine xine 1-beta9
+ xine xine 1-beta8
+ xine xine 1-beta7
+ xine xine 1-beta6
+ xine xine 1-beta5
+ xine xine 1-beta4
+ xine xine 1-beta3
+ xine xine 1-beta2
+ xine xine 1-beta12
+ xine xine 1-beta11
+ xine xine 1-beta10
+ xine xine 1-beta1
xine xine 0.9.13
xine xine 0.9.8
- Debian Linux 3.0 sparc
- Debian Linux 3.0 s/390
- Debian Linux 3.0 ppc
- Debian Linux 3.0 mipsel
- Debian Linux 3.0 mips
- Debian Linux 3.0 m68k
- Debian Linux 3.0 ia-64
- Debian Linux 3.0 ia-32
- Debian Linux 3.0 hppa
- Debian Linux 3.0 arm
- Debian Linux 3.0 alpha
- Debian Linux 3.0
xine xine 1-rc3b
xine xine 1-rc3a
xine xine 1-rc3
xine xine 1-rc2
xine xine 1-rc1
xine xine 1-rc0a
xine xine 1-beta9
xine xine 1-beta8
xine xine 1-beta7
xine xine 1-beta6
xine xine 1-beta5
xine xine 1-beta4
xine xine 1-beta3
xine xine 1-beta2
xine xine 1-beta12
xine xine 1-beta11
xine xine 1-beta10
xine xine 1-beta1
RedHat Linux 7.3 i686
RedHat Linux 7.3 i386
RedHat Linux 7.3
xine xine-ui 0.99.1
+ xine xine 0.9.13
+ xine xine 0.9.8
+ xine xine 1-rc3b
+ xine xine 1-rc3a
+ xine xine 1-rc3
+ xine xine 1-rc2
+ xine xine 1-rc1
+ xine xine 1-rc0a
+ xine xine 1-beta9
+ xine xine 1-beta8
+ xine xine 1-beta7
+ xine xine 1-beta6
+ xine xine 1-beta5
+ xine xine 1-beta4
+ xine xine 1-beta3
+ xine xine 1-beta2
+ xine xine 1-beta12
+ xine xine 1-beta11
+ xine xine 1-beta10
+ xine xine 1-beta1

- 不受影响的程序版本

xine xine-ui 0.99.1
+ xine xine 0.9.13
+ xine xine 0.9.8
+ xine xine 1-rc3b
+ xine xine 1-rc3a
+ xine xine 1-rc3
+ xine xine 1-rc2
+ xine xine 1-rc1
+ xine xine 1-rc0a
+ xine xine 1-beta9
+ xine xine 1-beta8
+ xine xine 1-beta7
+ xine xine 1-beta6
+ xine xine 1-beta5
+ xine xine 1-beta4
+ xine xine 1-beta3
+ xine xine 1-beta2
+ xine xine 1-beta12
+ xine xine 1-beta11
+ xine xine 1-beta10
+ xine xine 1-beta1

- 漏洞讨论

The xine bug-reporting scripts (xine-bugreport and xine-check) create temporary files in an insecure manner. A malicious local user could take advantage of this issue by mounting a symbolic-link attack to corrupt other system files, most likely resulting in the destruction of data. Privilege escalation is also possible. This issue occurs only when the vulnerable scripts are run to submit a bug report to the vendor.

Note that xine-bugreport and xine-check are separate instances of the same script.

- 漏洞利用

An exploit is not required.

- 解决方案

Updates are available. Please see the referenced advisories for more information.


xine xine-ui 0.9.22

xine xine-ui 0.9.23

xine xine 0.9.8

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站